package com.ruoyi.project.VRdemo.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 东南亚经济统计对象 vr_economy
 * 
 * @author ruoyi
 * @date 2024-10-06
 */
public class Economy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 所属区
     */
    @Excel(name = "所属区")
    private String affiliation;

    /**
     * 所属地
     */
    @Excel(name = "所属地")
    private String location;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String title;

    /**
     * 链接
     */
    @Excel(name = "链接")
    private String link;

    /**
     * 简介
     */
    @Excel(name = "简介")
    private String introduce;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAffiliation(String affiliation) {
        this.affiliation = affiliation;
    }

    public String getAffiliation() {
        return affiliation;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return link;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getIntroduce() {
        return introduce;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("affiliation", getAffiliation())
            .append("location", getLocation())
            .append("title", getTitle())
            .append("link", getLink())
            .append("introduce", getIntroduce())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
