package com.ruoyi.project.VRdemo.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 数据类型对象 vr_file_data
 *
 * @author ruoyi
 * @date 2023-07-10
 */
public class FileUpload extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    private Long fileid;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 图片存储路径 */
    @Excel(name = "图片存储路径")
    private String path;

    /** 关联链接 */
    @Excel(name = "关联链接")
    private String url;

    public FileUpload(Long fileid, Long companyId, Long dataSourceId, Long storageId, Long size, String path, String url) {
        this.fileid = fileid;
        this.companyId = companyId;
        this.path = path;
        this.url = url;
    }

    public FileUpload() {
    }

    public Long getFileid() {
        return fileid;
    }

    public void setFileid(Long fileid) {
        this.fileid = fileid;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fileid", getFileid())
                .append("companyId", getCompanyId())
                .append("path", getPath())
                .append("url", getUrl())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}