package com.ruoyi.project.VRdemo.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class StudyNationData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    private Long id;

    /** 所属企业id */
    @Excel(name = "所属企业id")
    private Long companyId;

    /** 数据类别 */
    @Excel(name = "数据类别")
    private Long dataType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    @Excel(name = "长标题")
    private String longTitle;

    /** 区域（国家地区） */
    @Excel(name = "区域", readConverterExp = "国家地区")
    private String nation;

    /** 封面图片路径 */
    @Excel(name = "封面图片路径")
    private String coverPath;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    /** 作者 */
    @Excel(name = "作者")
    private String author;

    /** 文档路径 */
    @Excel(name = "文档路径")
    private String filePath;

    /** 文档链接 */
    @Excel(name = "文档链接")
    private String fileUrl;

    /** 数量 */
    @Excel(name = "数量")
    private Long count;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setDataType(Long dataType)
    {
        this.dataType = dataType;
    }

    public Long getDataType()
    {
        return dataType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setNation(String nation)
    {
        this.nation = nation;
    }

    public String getLongTitle() {
        return longTitle;
    }

    public void setLongTitle(String longTitle) {
        this.longTitle = longTitle;
    }

    public String getNation()
    {
        return nation;
    }
    public void setCoverPath(String coverPath)
    {
        this.coverPath = coverPath;
    }

    public String getCoverPath()
    {
        return coverPath;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        return month;
    }
    public void setAuthor(String author)
    {
        this.author = author;
    }

    public String getAuthor()
    {
        return author;
    }
    public void setFilePath(String filePath)
    {
        this.filePath = filePath;
    }

    public String getFilePath()
    {
        return filePath;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("companyId", getCompanyId())
                .append("dataType", getDataType())
                .append("title", getTitle())
                .append("longTitle",getLongTitle())
                .append("nation", getNation())
                .append("coverPath", getCoverPath())
                .append("year", getYear())
                .append("month", getMonth())
                .append("author", getAuthor())
                .append("filePath", getFilePath())
                .append("fileUrl", getFileUrl())
                .append("count", getCount())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
