package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.RegionDevelop;

public class RegionDevelopImData implements BaseImData<RegionDevelopImData, RegionDevelop> {

    @ExcelProperty("id")
    private Long id;

    /**
     * 类别
     */
    @ExcelProperty("类别")
    private String type;

    /**
     * 题目
     */
    @ExcelProperty("题目")
    private String title;

    /**
     * 排序
     */
    @ExcelProperty("排序")
    private String sort;

    /**
     * 文件路径
     */
    @ExcelProperty("文件路径")
    private String path;

    /**
     * 页数
     */
    @ExcelProperty("页数")
    private Long count;

    @ExcelIgnore
    DataConverter<RegionDevelopImData, RegionDevelop> converter = new DataConverter<RegionDevelopImData, RegionDevelop>() {
        @Override
        public RegionDevelop convert(RegionDevelopImData imData) {
            RegionDevelop regionDevelop = new RegionDevelop();
            regionDevelop.setId(imData.getId());
            regionDevelop.setType(imData.getType());
            regionDevelop.setTitle(imData.getTitle());
            regionDevelop.setSort(imData.getSort());
            regionDevelop.setPath(imData.getPath());
            regionDevelop.setCount(imData.getCount());
            return regionDevelop;
        }
    };

    @Override
    public DataConverter<RegionDevelopImData, RegionDevelop> getConverter() {
        return converter;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getSort() {
        return sort;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getPath() {
        return path;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public Long getCount() {
        return count;
    }
}
