package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.Literature;

public class LiteratureImData implements BaseImData<LiteratureImData, Literature> {

    @ExcelProperty("序号")
    private Long id;

    @ExcelProperty("文献名称")
    private String title;

    @ExcelProperty("文献访问地址")
    private String url;

    @ExcelProperty("出版日期")
    private String publicationTime;

    @ExcelIgnore
    DataConverter<LiteratureImData, Literature> converter = new DataConverter<LiteratureImData, Literature>(){
        @Override
        protected Literature convert(LiteratureImData literatureImData) {
            Literature literature = new Literature();
            literature.setId(literatureImData.getId());
            literature.setTitle(literatureImData.getTitle());
            literature.setUrl(literatureImData.getUrl());
            literature.setPublicationTime(literatureImData.getPublicationTime());
            return literature;
        }
    };

    @Override
    public DataConverter<LiteratureImData, Literature> getConverter() {
        return converter;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }

    public void setPublicationTime(String publicationTime) {
        this.publicationTime = publicationTime;
    }

    public String getPublicationTime() {
        return publicationTime;
    }
}
