package com.ruoyi.project.VRdemo.domain.vo;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;

/**
 * dataSourceVo
 * 用于unity接口数据返回
 */
public class DataSourceVo {
    /** 自增id */
    private String dataSourceId;

    /** 所属应用ID */
    private String companyAppId;

    /** 数据类型ID */
    @Excel(name = "数据类型ID")
    private String dataTypeId;

    /** 展示点 */
    @Excel(name = "展示点")
    private String spot;

    /** 数据源标题 */
    @Excel(name = "数据源标题")
    private String title;

    /** 数据源设置信息 */
    private String setting;

    /** 数据源状态(0表示未审核，1表示审核通过，-1表示审核不通过) 默认值为0 */
    @Excel(name = "数据源状态(0表示未审核，1表示审核通过，-1表示审核不通过) 默认值为0")
    private Integer status;

    public String getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(String dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getCompanyAppId() {
        return companyAppId;
    }

    public void setCompanyAppId(String companyAppId) {
        this.companyAppId = companyAppId;
    }

    public String getDataTypeId() {
        return dataTypeId;
    }

    public void setDataTypeId(String dataTypeId) {
        this.dataTypeId = dataTypeId;
    }

    public String getSpot() {
        return spot;
    }

    public void setSpot(String spot) {
        this.spot = spot;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSetting() {
        return setting;
    }

    public void setSetting(String setting) {
        this.setting = setting;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
