package com.ruoyi.project.VRdemo.domain.vo;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class NoticeDataVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    private Long id;

    /** 所属企业ID */
    @Excel(name = "所属企业ID")
    private Long companyId;

    /** 主题 */
    @Excel(name = "主题")
    private String title;

    /** 主讲人 */
    @Excel(name = "主讲人")
    private String speaker;

    /** 主办单位 */
    @Excel(name = "主办单位")
    private String sponsor;

    /** 主持人 */
    @Excel(name = "主持人")
    private String host;

    /** 与谈人 */
    @Excel(name = "与谈人")
    private String panelist;

    /** 开展方式 */
    @Excel(name = "开展方式")
    private String holdingType;

    /** 排序 */
    @Excel(name = "排序")
    private int sort;

    /** 开展时间 */
    @Excel(name = "开展时间")
    private String holdingTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setSpeaker(String speaker)
    {
        this.speaker = speaker;
    }

    public String getSpeaker()
    {
        return speaker;
    }
    public void setSponsor(String sponsor)
    {
        this.sponsor = sponsor;
    }

    public String getSponsor()
    {
        return sponsor;
    }
    public void setHost(String host)
    {
        this.host = host;
    }

    public String getHost()
    {
        return host;
    }
    public void setPanelist(String panelist)
    {
        this.panelist = panelist;
    }

    public String getPanelist()
    {
        return panelist;
    }
    public void setHoldingType(String holdingType)
    {
        this.holdingType = holdingType;
    }

    public String getHoldingType()
    {
        return holdingType;
    }

    public String getHoldingTime() {
        return holdingTime;
    }

    public void setHoldingTime(String holdingTime) {
        this.holdingTime = holdingTime;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("companyId", getCompanyId())
                .append("title", getTitle())
                .append("speaker", getSpeaker())
                .append("sponsor", getSponsor())
                .append("host", getHost())
                .append("panelist", getPanelist())
                .append("sort", getSort())
                .append("holdingType", getHoldingType())
                .append("holdingTime", getHoldingTime())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}